﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Web.Script.Serialization;
using MongoDB.Driver;

namespace WPFApplication
{
    public class DashboardService
    {
        private Mongo _mongo;

        public string DatabaseName { get; set; }
        
        public DashboardService()
        {
            _mongo = new Mongo();
            // connect 
            _mongo.Connect(); 
        }

        public List<String> GetCollectionNames(string databaseName)
        {
            return _mongo.getDB(databaseName).GetCollectionNames(); 
        }

        public void Delete(string databaseName, string collectionName,Document spec)
        {
            _mongo.getDB(databaseName).GetCollection(collectionName).Delete(spec); 
        }

        public ObservableCollection<Dictionary<String,Object>> GetAllDocumentsAsObservableCollection(string databaseName, string collectionName)
        {
            var list = new ObservableCollection<Dictionary<String, Object>>(); 
            var documents = _mongo.getDB(databaseName).GetCollection(collectionName).FindAll().Documents; 

            foreach(var document in documents)
            {
                list.Add(new JavaScriptSerializer().Deserialize<Dictionary<String,Object>>(document.ToString())); 
            }

            return list; 
        }

        public void Disconnect()
        {
            _mongo.Disconnect(); 
        }
    }
}
