﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Media;
using MongoDB.Driver;

namespace WPFApplication
{
    public static class ExtensionMethods
    {
        public static Oid ToOid(this string source)
        {
            var encoding = new ASCIIEncoding();
            return new Oid(encoding.GetBytes(source)); 
        }

        public static T FindAncestor<T>(DependencyObject dependencyObject)
        where T : class
        {
            DependencyObject target = dependencyObject;
            do
            {
                target = VisualTreeHelper.GetParent(target);
            }
            while (target != null && !(target is T));
            return target as T;
        }
    }
}
